Bug 1012901 - Broker does not send the deconfigure event to nurtrue db
Broker does not send the deconfigure event to nurtrue db
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Rajat Chopra
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-27 06:52 EDT by Qiushui Zhang
Modified: 2015-05-14 20:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-17 09:32:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log from instance (14.13 KB, application/zip)
2013-09-27 06:53 EDT, Qiushui Zhang
no flags Details

  None (edit)
Description Qiushui Zhang 2013-09-27 06:52:55 EDT
Description of problem:
Setup nurture on instance. Create and delete an app. Check the record in nurture server. There is no record about deleting.

Version-Release number of selected component (if applicable):
devenv_3838

How reproducible:
always

Steps to Reproduce:
1. On instance, enable nurture from broker.
2. Create an account. Create and delete an app
3. Check the nurture records.
mysql -ubeijing -pbetter libra_staging -h 115.114.135.125
 select d.user_name, d.name "app_name", c.name "action", c.created_at, c.language from (select a.application_guid , b.name, a.id, a.uuid, a.language, a.created_at from events a, actions b where a.action_id = b.id) c, applications d where c.application_guid = d.guid order by c.created_at desc limit 10;

4. Check the instance log.
[root@ip-10-184-21-74 openshift]# cat /var/log/openshift/broker/development.log |grep -i nurture
2013-09-27 05:51:55.194 [DEBUG] DEBUG: Sending to Nurture:libra_contact: login='qiuzhang@redhat.com' namespace='' action='create' (pid:7218)
2013-09-27 05:52:10.596 [DEBUG] Sending updated domain info qiuzhang to nurture (pid:7218)
2013-09-27 05:52:10.597 [DEBUG] DEBUG: Sending to Nurture:libra_contact: login='qiuzhang@redhat.com' namespace='qiuzhang' action='update' (pid:7218)
2013-09-27 05:54:09.932 [DEBUG] DEBUG: Sending to Nurture:application: app_uuid='524555b5c4d5b0a344000007' action='configure' (pid:7218)
2013-09-27 05:54:16.813 [DEBUG] DEBUG: Sending to Nurture:application: app_uuid='524555b5c4d5b0a344000007' action='post-configure' (pid:7218)
2013-09-27 06:05:17.284 [DEBUG] DEBUG: Sending to Nurture:libra_contact: login='walter' namespace='' action='create' (pid:13450)
2013-09-27 06:05:27.150 [DEBUG] Sending updated domain info walter to nurture (pid:13450)
2013-09-27 06:05:27.150 [DEBUG] DEBUG: Sending to Nurture:libra_contact: login='walter' namespace='walter' action='update' (pid:13450)
2013-09-27 06:05:55.910 [DEBUG] DEBUG: Sending to Nurture:application: app_uuid='5245587ac4d5b08c7b000007' action='configure' (pid:13450)
2013-09-27 06:06:01.366 [DEBUG] DEBUG: Sending to Nurture:application: app_uuid='5245587ac4d5b08c7b000007' action='post-configure' (pid:13450)

Actual results:
There is no nurture record about app deleting.

Expected results:
Nurture should have the "deconfigure" record.

Additional info:
Comment 2 Qiushui Zhang 2013-09-27 06:53:46 EDT
Created attachment 803892 [details]
log from instance
Comment 3 Rajat Chopra 2013-09-27 16:32:27 EDT
Fixed with pull request : https://github.com/openshift/origin-server/pull/3732
Comment 4 Qiushui Zhang 2013-09-28 23:20:01 EDT
Tested on devenv_3844.

mysql> select d.user_name, d.name "app_name", c.name "action", c.created_at, c.language from (select a.application_guid , b.name, a.id, a.uuid, a.language, a.created_at from events a, actions b where a.action_id = b.id) c, applications d where c.application_guid = d.guid order by c.created_at desc limit 10;
+-----------+-----------+----------------+---------------------+--------------+
| user_name | app_name  | action         | created_at          | language     |
+-----------+-----------+----------------+---------------------+--------------+
| walter    | app0929   | deconfigure    | 2013-09-29 08:50:09 | NULL         |
| walter    | app0929   | post-configure | 2013-09-29 08:49:38 | php-5.3      |
| walter    | app0929   | configure      | 2013-09-29 08:49:33 | php-5.3      |
| walter    | app4      | post-configure | 2013-09-27 17:28:20 | php-5.3      |
| walter    | app4      | configure      | 2013-09-27 17:28:15 | php-5.3      |
| walter    | app3      | post-configure | 2013-09-27 17:27:36 | php-5.3      |
| walter    | app3      | configure      | 2013-09-27 17:27:31 | php-5.3      |
| walter    | ews1      | post-configure | 2013-09-27 17:24:47 | jbossews-1.0 |
| walter    | ews1      | configure      | 2013-09-27 17:24:43 | jbossews-1.0 |
| walter    | wordpress | push           | 2013-09-27 17:15:47 | NULL         |
+-----------+-----------+----------------+---------------------+--------------+
10 rows in set (0.70 sec)

Note that the new created app app0929. It has all the expected action.

Mark it as verified.

Note You need to log in before you can comment on or make changes to this bug.